package com.pablotj.ia.chat.boot.domain.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;
import java.util.Date;

public record ChatMessage(String chatId, String role, String text, Date date) implements Serializable {

    @Override
    @JsonFormat(pattern = "dd/MM/yyyy HH:mm", timezone = "Europe/Madrid")
    public Date date() {
        return date;
    }
}